VRPlatformVRPlatform
Statements

/statements

Get Statements List. Get Statements, either by year or dateRange + a single listing or owner or by month

GET
/statements
X-API-Key<token>

API key provided in dashboard

In: header

Query Parameters

limit?number
Default100
page?number
Default1
periodIds?string
year?integer

Year in format YYYY

Range1900 <= value <= 2100
listingIds?string
statementIds?string
month?string

Month string in format YYYY-MM.

Match^\d{4}-\d{2}$
Formatvrp-month
search?string
status?string|string
ownerIds?string
listingCollectionIds?stringDeprecated
recurringFeeIds?string
dateRange?string

Date range string. Accepted syntax: YYYY, YYYY-MM, YYYY-MM-DD, or range YYYY-MM-DD...YYYY-MM-DD. Single values expand to the full year, month, or day.

Formatvrp-date-range
isDateRangeEndInclusive?boolean
Defaultfalse

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.vrplatform.app/statements"
{
  "data": [
    {
      "id": "string",
      "total": -9007199254740991,
      "financials": {
        "balanceStart": -9007199254740991,
        "netRevenue": -9007199254740991,
        "expenses": -9007199254740991,
        "reserve": -9007199254740991,
        "netIncome": -9007199254740991,
        "payouts": -9007199254740991,
        "balanceEnd": -9007199254740991
      },
      "summary": [
        {
          "name": "string",
          "text": "string",
          "value": 0,
          "separated": true
        }
      ],
      "payment": {
        "expected": -9007199254740991,
        "received": -9007199254740991,
        "status": "unpaid"
      },
      "uniqueRef": "string",
      "currency": "string",
      "startAt": "string",
      "endAt": "string",
      "issues": [
        {
          "code": "emptyJournalEntryAccountIds",
          "severity": "error",
          "context": {
            "affected": 0
          },
          "message": "string"
        }
      ],
      "payouts": [
        {
          "id": "string",
          "date": "string",
          "total": 0,
          "totalFormatted": "string"
        }
      ],
      "source": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "type": "string",
        "status": "active",
        "appId": "string",
        "appIcon": "string"
      },
      "listing": {
        "id": "string",
        "name": "string",
        "uniqueRef": "string"
      },
      "status": "draft",
      "ownership": {
        "id": "string",
        "startAt": "string",
        "endAt": "string",
        "reserve": -9007199254740991,
        "members": [
          {
            "id": "string",
            "ownerId": "string",
            "contactId": "string",
            "split": 0
          }
        ]
      }
    }
  ],
  "pagination": {
    "limit": 0,
    "page": 0,
    "total": 0,
    "totalPage": 0,
    "nextPage": 0
  },
  "aggregates": [
    {
      "balanceStart": -9007199254740991,
      "netRevenue": -9007199254740991,
      "expenses": -9007199254740991,
      "reserve": -9007199254740991,
      "netIncome": -9007199254740991,
      "payouts": -9007199254740991,
      "balanceEnd": -9007199254740991,
      "currency": "string"
    }
  ]
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}